Padre-Plugin-PAR v0.06 Perl 5 v5.13.0 darwin-thread-multi-64int-2level

Status
Unknown
From
Chris Williams (BINGOS)
Dist
Padre-Plugin-PAR v0.06
Platform
Perl 5 v5.13.0 darwin-thread-multi-64int-2level
Date
2010-08-11T12:39:26
ID
79e1849a-a545-11df-8246-59ba6e8696e0
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--

Dear CHORNY,
    
This is a computer-generated error report created automatically by
CPANPLUS, version 0.9006. Testers personal comments may appear 
at the end of this report.


Thank you for uploading your work to CPAN.  However, it appears that
there were some problems testing your distribution.

TEST RESULTS:

Below is the error stack from stage 'fetch':

[MSG] [Wed Aug 11 13:43:05 2010] Building Alien-wxWidgets

[MSG] [Wed Aug 11 13:43:05 2010] Tests skipped
[MSG] [Wed Aug 11 13:43:05 2010] Sending test report for 'Alien-wxWidgets-0.51'
[MSG] [Wed Aug 11 13:43:05 2010] Ok, not sending test report
[ERROR] [Wed Aug 11 13:43:17 2010] Could not run '/Volumes/Media/smoke/rel/perl-5.13.0/bin/perl5.13.0 Makefile.PL': /usr/bin/ld: flag: -undefined dynamic_lookup can't be used with MACOSX_DEPLOYMENT_TARGET environment variable set to: 10.1
collect2: ld returned 1 exit status
/usr/bin/ld: flag: -undefined dynamic_lookup can't be used with MACOSX_DEPLOYMENT_TARGET environment variable set to: 10.1
collect2: ld returned 1 exit status

ATTENTION: It apperars 'gcc' is not a working compiler, please make
sure all necessary packages are installed.

Found locale    C
Use of inherited AUTOLOAD for non-method Module::Install::Msgfmt::install_share() is deprecated at inc/Module/Install/Msgfmt.pm line 21.
Found wxWidgets 2.5.3
Padre needs at least version 2.8.8 of wxWidgets. You have wxWidgets 2.5.3
 -- cannot continue
[ERROR] [Wed Aug 11 13:43:17 2010] Unable to create a new distribution object for 'Padre::PluginBuilder' -- cannot continue
[ERROR] [Wed Aug 11 13:43:17 2010] Failed to install 'Padre::PluginBuilder' as prerequisite for 'Padre::Plugin::PAR'
[ERROR] [Wed Aug 11 13:43:17 2010] Unable to satisfy 'configure_requires' for 'Padre::Plugin::PAR' -- aborting install


Perl module toolchain versions installed:
	Module Name                        Have
	CPANPLUS                         0.9006
	CPANPLUS::Dist::Build              0.46
	Cwd                                3.31
	ExtUtils::CBuilder               0.2703
	ExtUtils::Command                  1.16
	ExtUtils::Install                  1.55
	ExtUtils::MakeMaker              6.5601
	ExtUtils::Manifest                 1.58
	ExtUtils::ParseXS                2.2206
	File::Spec                         3.31
	Module::Build                    0.3607
	Test::Harness                      3.21
	Test::More                         0.94
	version                            0.82

******************************** NOTE ********************************
The comments above are created mechanically, possibly without manual
checking by the sender.  As there are many people performing automatic
tests on each upload to CPAN, it is likely that you will receive 
identical messages about the same problem.

If you believe that the message is mistaken, please reply to the first
one with correction and/or additional informations, and do not take
it personally.  We appreciate your patience. :)
**********************************************************************

Additional comments:
 

This report was machine-generated by CPANPLUS::Dist::YACSmoke 0.58.
Powered by minismokebox version 0.26

------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    PATH = /bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
    PERL5LIB = :/Volumes/Media/smoke/rel/conf/perl-5.13.0/.cpanplus/5.13.0/build/Alien-wxWidgets-0.51/blib/lib:/Volumes/Media/smoke/rel/conf/perl-5.13.0/.cpanplus/5.13.0/build/Alien-wxWidgets-0.51/blib/arch
    PERL5_CPANPLUS_IS_RUNNING = 12403
    PERL5_CPANPLUS_IS_VERSION = 0.9006
    PERL5_MINISMOKEBOX = 0.26
    PERL5_YACSMOKE_BASE = /Volumes/Media/smoke/rel/conf/perl-5.13.0
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    SHELL = /bin/bash
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    Perl: $^X = /Volumes/Media/smoke/rel/perl-5.13.0/bin/perl5.13.0
    UID:  $<  = 502
    EUID: $>  = 502
    GID:  $(  = 502 502
    EGID: $)  = 502 502


-------------------------------


--

Summary of my perl5 (revision 5 version 13 subversion 0) configuration:
   
  Platform:
    osname=darwin, osvers=8.11.0, archname=darwin-thread-multi-64int-2level
    uname='darwin afalglas.bingosnet.co.uk 8.11.0 darwin kernel version 8.11.0: wed oct 10 18:26:00 pdt 2007; root:xnu-792.24.17~1release_ppc power macintosh powerpc '
    config_args='-des -Dusedevel -Dprefix=/Volumes/Media/smoke/rel/perl-5.13.0 -Dusethreads -Duse64bitint'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=undef, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -I/usr/local/include',
    optimize='-O3',
    cppflags='-no-cpp-precomp -fno-common -DPERL_DARWIN -no-cpp-precomp -fno-strict-aliasing -pipe -I/usr/local/include'
    ccversion='', gccversion='4.0.1 (Apple Computer, Inc. build 5367)', gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=87654321
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib
    libs=-ldbm -ldl -lm -lc
    perllibs=-ldl -lm -lc
    libc=/usr/lib/libc.dylib, so=dylib, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags=' -bundle -undefined dynamic_lookup -L/usr/local/lib'


Characteristics of this binary (from libperl): 
  Compile-time options: MULTIPLICITY PERL_DONT_CREATE_GVSV
                        PERL_IMPLICIT_CONTEXT PERL_MALLOC_WRAP PERL_USE_DEVEL
                        USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES
                        USE_PERLIO USE_PERL_ATOF USE_REENTRANT_API
  Built under darwin
  Compiled at May  4 2010 08:57:43
  %ENV:
    PERL5LIB=":/Volumes/Media/smoke/rel/conf/perl-5.13.0/.cpanplus/5.13.0/build/Alien-wxWidgets-0.51/blib/lib:/Volumes/Media/smoke/rel/conf/perl-5.13.0/.cpanplus/5.13.0/build/Alien-wxWidgets-0.51/blib/arch"
    PERL5_CPANPLUS_IS_RUNNING="12403"
    PERL5_CPANPLUS_IS_VERSION="0.9006"
    PERL5_MINISMOKEBOX="0.26"
    PERL5_YACSMOKE_BASE="/Volumes/Media/smoke/rel/conf/perl-5.13.0"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
  @INC:
    /Volumes/Media/smoke/rel/conf/perl-5.13.0/.cpanplus/5.13.0/build/Alien-wxWidgets-0.51/blib/lib
    /Volumes/Media/smoke/rel/conf/perl-5.13.0/.cpanplus/5.13.0/build/Alien-wxWidgets-0.51/blib/arch
    /Volumes/Media/smoke/rel/perl-5.13.0/lib/site_perl/5.13.0/darwin-thread-multi-64int-2level
    /Volumes/Media/smoke/rel/perl-5.13.0/lib/site_perl/5.13.0
    /Volumes/Media/smoke/rel/perl-5.13.0/lib/5.13.0/darwin-thread-multi-64int-2level
    /Volumes/Media/smoke/rel/perl-5.13.0/lib/5.13.0
    .